/*
 * Copyright 2012 Peter Lebbing <peter@digitalbrains.com>
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef _FILE_AVR_PROTO_H
#define _FILE_AVR_PROTO_H

#define AVR_KIND_MASK    (3 << 6)
#define AVR_COMM_SINGLE  (0 << 6)
#define AVR_COMM_READ    (2 << 6)
#define AVR_COMM_WRITE   (3 << 6)
#define AVR_COMM_SPECIAL (1 << 6)

#define AVR_SPECIAL_GREET         9
#define AVR_SPECIAL_SET_VPP_VDD   0
#	define AVR_VPP            (1 << 0)
#	define AVR_VDD            (1 << 1)
#define AVR_SPECIAL_GET_CRYSTAL   1
#define AVR_SPECIAL_SET_PIC_CLOCK 2

#define AVR_GREETING "AVR PICprog v1.0"

#endif /* ndef _FILE_AVR_PROTO_H */
